package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.library.entity.ArticleEntity;

import java.util.List;

/**
 * Created by tpeetz on 23.01.2015.
 */
interface ArticleDao {

    public ArticleEntity getById(Long id);

    public List<ArticleEntity> findByIds(List<Long> ids);

    public List<ArticleEntity> findAll();

    public List<ArticleEntity> findByTitle(String title);

    public ArticleEntity store(ArticleEntity entity);

    public void delete(ArticleEntity entity);
}
